Bug 149298 - redhat-config-network inserts the wrong module name in /etc/modules.conf
Summary: redhat-config-network inserts the wrong module name in /etc/modules.conf
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-22 03:43 UTC by Demosthenes T. Mateo Jr.
Modified: 2007-11-30 22:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-31 12:25:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
make the dl2k driver return the correct driver name (1.14 KB, patch)
2005-04-05 18:47 UTC, Guy Streeter
no flags Details | Diff
jwltest-dl2k-gdrvinfo-rhel3.patch (527 bytes, patch)
2005-04-06 19:01 UTC, John W. Linville
no flags Details | Diff
jwltest-dl2k-gdrvinfo-rhel4.patch (524 bytes, text/x-diff)
2005-04-06 20:18 UTC, John W. Linville
no flags Details
jwltest-dl2k-gdrvinfo-rhel4.patch (524 bytes, patch)
2005-04-06 20:18 UTC, John W. Linville
no flags Details | Diff

Description Demosthenes T. Mateo Jr. 2005-02-22 03:43:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041115

Description of problem:
When you run redhat-config-network to configure your NIC, it will insert the module name DL2K in /etc/modules.conf instead of dl2k. This causes the NIC not be activated on boot. For example:

   alias eth1 DL2K

instead of

   alias eth1 DL2K


Version-Release number of selected component (if applicable):
redhat-config-network-1.2.58-1-noarch

How reproducible:
Always

Steps to Reproduce:
1. use redhat-network-config to configure your NIC
2. 
3.
  

Actual Results:  "alias eth1 DL2K" is added to /etc/modules.conf. Module name DL2K does not exist.

Expected Results:  It should have been "alias eth1 dl2k".

Additional info:

00:00.0 Host bridge: ServerWorks CNB20-LE Host Bridge (rev 04)
00:00.1 Host bridge: ServerWorks CNB20-LE Host Bridge (rev 02)
00:01.0 SCSI storage controller: IBM SCSI RAID Adapter [ServeRAID] (rev 0d)
00:06.0 SCSI storage controller: Adaptec AHA-2940U/UW / AHA-39xx / AIC-7895 (rev 04)
00:06.1 SCSI storage controller: Adaptec AHA-2940U/UW / AHA-39xx / AIC-7895 (rev 04)
00:09.0 Ethernet controller: Advanced Micro Devices [AMD] 79c970 [PCnet32 LANCE] (rev 36)
00:0a.0 VGA compatible controller: S3 Inc. 86c775/86c785 [Trio 64V2/DX or /GX] (rev 16)
00:0f.0 ISA bridge: ServerWorks OSB4 South Bridge (rev 4d)
00:0f.1 IDE interface: ServerWorks: Unknown device 0210 (rev 4a)
00:0f.2 USB Controller: ServerWorks OSB4/CSB5 OHCI USB Controller (rev 04)
01:04.0 Ethernet controller: D-Link System Inc DL2000-based Gigabit Ethernet (rev 07)
======================================
alias eth0 pcnet32
alias eth1 dl2k
alias scsi_hostadapter ips
alias scsi_hostadapter1 aic7xxx
alias usb-controller usb-ohci
======================================
Linux rio 2.4.21-27.0.2.EL #1 Wed Jan 12 23:46:37 EST 2005 i686 i686 i386 GNU/Linux
======================================

Comment 2 Guy Streeter 2005-04-05 15:07:18 UTC
Does redhat-config-network get the module name from the ETHTOOL_GDRVINFO ioctl?

Comment 3 Guy Streeter 2005-04-05 18:44:56 UTC
The problem is that the dl2k driver returns DL2K instead of dl2k for its driver
name. Attaching a kernel patch that fixes it.

Comment 4 Guy Streeter 2005-04-05 18:47:06 UTC
Created attachment 112726 [details]
make the dl2k driver return the correct driver name

Comment 8 John W. Linville 2005-04-06 19:01:41 UTC
Created attachment 112773 [details]
jwltest-dl2k-gdrvinfo-rhel3.patch

I had to rework the patch for RHEL3...

Comment 9 John W. Linville 2005-04-06 19:02:59 UTC
I have posted pre-built test kernels w/ the above patch here: 
 
   http://people.redhat.com/linville/kernels/rhel3/ 
 
Please give them a try and confirm that the patch performs as desired. 

Comment 10 John W. Linville 2005-04-06 20:18:03 UTC
Created attachment 112776 [details]
jwltest-dl2k-gdrvinfo-rhel4.patch

RHEL4 version of patch...

Comment 11 John W. Linville 2005-04-06 20:18:13 UTC
Created attachment 112777 [details]
jwltest-dl2k-gdrvinfo-rhel4.patch

RHEL4 version of patch...

Comment 12 John W. Linville 2005-04-06 20:19:18 UTC
Pre-built RHEL4 test kernels here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Please try those as well.  Thanks! 

Comment 13 Guy Streeter 2005-04-22 14:35:29 UTC
This fix isn't going into RHEL3 unless somebody with a dl2k tests it. See the
test kernels provided in comment #9.

Comment 14 John W. Linville 2005-05-31 12:25:51 UTC
Closed due to inactivity.  Please reopen if/when the requested test results 
are available. 


Note You need to log in before you can comment on or make changes to this bug.